下载 Bootstrap

下载 Bootstrap 以获取经过编译的 CSS 和 JavaScript 文件,以及源码。或者使用你所擅长的包管理器(例如 npm、RubyGems 等)加载 Bootstrap。

预编译的 CSS 和 JS 文件

下载 Bootstrap v4.4.1 版本的预编译文件,以便轻松地将其加入到你的项目中,其中包括:

  • 编译并压缩(minified)之后的 CSS 文件(请参阅 CSS 文件对比)
  • 编译并压缩(minified)之后的 JavaScript 插件

不包含文档、源文件或任何选用的 JavaScript 依赖项(jQuery 和 Popper.js)。

下载 Bootstrap

源码文件

通过下载 Bootstrap 的 Sass、JavaScript 和文档的源文件,使用你自己的流程工具编译 Bootstrap。这种方式需要一些额外的工具:

  • Sass 编译器 (Libsass or Ruby Sass is supported) ,用于编译 CSS。
  • Autoprefixer 用于为 CSS 添加特定浏览器厂商的属性前缀。

Bootstrap 所包含的 构建工具 是专门用于 Bootstrap 及其文档的开发的,如果你想使用的话,可能不满足你的需求。

下载源文件

BootstrapCDN

使用 BootstrapCDN 从而跳过下载,将 Bootstrap 的预编译 CSS 和 JS 文件利用缓存加载到你的项目中。

<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.4.1/dist/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.4.1/dist/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>

如果你使用的是我们编译过的 JavaScript,不要忘记在它之前引入 jQuery 和 Popper.js 的 CDN 版本。

<script src="https://cdn.jsdelivr.net/npm/jquery@3.4.1/dist/jquery.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>

软件包管理器

利用大部分流行的软件包管理器都可以将 Bootstrap 的 源文件 加入到任何项目中。无论软件包管理器是哪一个,Bootstrap 总是 需要一个 Sass 编译器以及 Autoprefixer 才能编译出与官方相同的文件。

npm

利用 npm 将 Bootstrap 安装到 Node.js 应用程序中:

npm install bootstrap

require('bootstrap') 将把 Bootstrap 的所有 jQuery 插件加载到 jQuery 对象上。 bootstrap 模块本身不导出任何内容。你还可以手动加载 Bootstrap 的每个独立的 jQuery 插件,这些插件在根目录下,即 /js/*.js 文件。

Bootstrap 的 package.json 文件中包含了以下额外的元数据:

  • sass - Bootstrap 的主要 Sass 源文件路径
  • style - 指向 Bootstrap 的非压缩(non-minified)CSS 文件的路径,此文件是使用默认设置(没有自定义)并预先编译而来。

yarn

利用 yarn 将 Bootstrap 安装到 Node.js 应用程序中:

yarn add bootstrap

RubyGems

将以下代码添加到你的 Gemfile 文件中,然后利用 Bundler (推荐) 和 RubyGems 工具将 Bootstrap 安装到你的 Ruby 应用程序中:

gem 'bootstrap', '~> 4.4.1'

或者,如果你不使用 Bundler,你还可以通过以下命令安装 Bootstrap 的 gem:

gem install bootstrap -v 4.4.1

参见e gem 的 README 文件 以了解更多信息。

Composer

你还可以利用 Composer 安装和管理 Bootstrap 的 Sass 和 JavaScript 文件:

composer require twbs/bootstrap:4.4.1

NuGet

如果你是 .NET 开发者,你还可以利用 NuGet 来安装和管理 Bootstrap 的 CSSSass 和 JavaScript 文件:

Install-Package bootstrap
Install-Package bootstrap.sass